project:
  type: website
  output-dir: _site
  resources:
    - service-worker.js
    - manifest.json
    - auth.js
    - physician-auth-guard.js
    - navbar-visibility.js
    - AtoZ_Physicians/table-width-fix.js
    - AtoZ_Physicians/table-styles.css
    - AtoZ_Physicians/mcq-interactive.js
    - AtoZ_Physicians/mcq-interactive.css
    - ebook.css
    - images/**

website:
  title: "A to Z Neurology"
  site-url: "https://supstripeatozneurology.netlify.app"

  navbar:
    left:
      - text: Home
        href: index.qmd
      - text: Patients
        href: AtoZ_Patients/index.qmd

  page-footer:
    center: "© 2025 Vijay Renga LLC. All rights reserved."
    right:
      - text: "Contact"
        href: contact.qmd

format:
  html:
    theme: cosmo
    toc: false
    css:
      - ebook.css
      - AtoZ_Physicians/table-styles.css
      - AtoZ_Physicians/mcq-interactive.css
    smooth-scroll: true
    link-external-newwindow: true
    include-after-body:
      - text: |
          <script src="AtoZ_Physicians/table-width-fix.js"></script>
          <script src="AtoZ_Physicians/mcq-interactive.js"></script>
          <script src="navbar-visibility.js"></script>
